Retrieve a List of Options

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options

Path parameters

  • profile_id string Required

    id of the profile

  • optionlist_id number Required

    id of the option list

Query parameters

  • fields string

    extra information of each profile on the list

  • limit number

    maximum count of the profile list

  • offset number

    skip that many profiles before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • condition_value string
    • global_id string
    • id number Required
    • key_value string Required
    • label string
    • score number
    • sort_order number
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/optionlists/{optionlist_id}/options' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "id": 268623883,
    "key_value": "pass"
  },
  {
    "id": 268623886,
    "key_value": "fail"
  },
  {
    "id": 268623880,
    "key_value": "na"
  }
]